Download it now!
Bug 82930 - CJK: "TakaoPGothic" font disappears at some zoom factors in vertical text
Summary: CJK: "TakaoPGothic" font disappears at some zoom factors in vertical text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks: CJK Vertical-Text
  Show dependency treegraph
 
Reported: 2014-08-22 02:25 UTC by Matthew Francis
Modified: 2019-12-03 14:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Video of bug (211.29 KB, video/mp4)
2014-08-22 02:26 UTC, Matthew Francis
Details
Sample document (9.17 KB, application/vnd.oasis.opendocument.text)
2014-08-22 02:26 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-08-22 02:25:48 UTC
Observed on:
  Ubuntu 14.04 / LO master
  Fedora 20 / LO 4.2.6.2

(Fedora doesn't come with the Takao fonts, but they can be installed from
http://rpm.pbone.net/index.php3/stat/4/idpl/23803159/dir/fedora_19/com/takao-fonts-003.02.01-11.1.noarch.rpm.html )

At a zoom factor of 454-460%, 12 point TakaoPGothic vertical text disappears completely. See attached video and document


The state of vertical text in general isn't that great at the moment, so this could be another bug in that category, or just possibly something in fontconfig etc.
Comment 1 Matthew Francis 2014-08-22 02:26:24 UTC
Created attachment 105070 [details]
Video of bug
Comment 2 Matthew Francis 2014-08-22 02:26:57 UTC
Created attachment 105071 [details]
Sample document
Comment 3 Yousuf Philips (jay) (retired) 2014-09-06 12:31:39 UTC
Confirmed in 4.2.6 and master that at 454% the text is invisible. This is a regression as this doesnt happen in 3.3.0.
Comment 4 Matthew Francis 2015-02-13 07:36:11 UTC
This is a regression before the start of the 43all bibiset repository - setting Whiteboard:preBibisect
Comment 5 Robinson Tryon (qubit) 2015-12-14 05:40:02 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:49:03 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:19:44 UTC
Dear Matthew Francis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug